#
#	Macintosh Developer Technical Support
#
#	EditText Sample Control Panel Device
#
#	AECDEV
#
#	AECDEV.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.1					7/88
#				1.0					6/88
#
#	Components:	AECDEV.p			July 20, 1988
#				AECDEV.c			July 20, 1988
#				AECDEV.r			July 20, 1988
#				(P)AECDEV.make	July 20, 1988
#				(C)AECDEV.make	July 20, 1988
#
#	AECDEV demonstrates how to implement an editText item
#	in a Control Panel Device.  It utilizes the new undo, cut, copy,
#	paste, and delete messages that are sent to cdevs in
#	response to user menu selections.  How to handle private
#	storage is also covered.
#
# Enforce strict ptotype checking in MPW 3.0 C
# also, I'm using some strings in this thing (see the PPC code)
# so I'll use the -b flags to make the text PC relative instead 
# of having to be in a global data segment
COptions =  -b -b2 -b3

SrcName			=	AECDEV
Lang			=	C
CdevName		=	{SrcName}

Objs				=	:obj:{SrcName}.{Lang}.o 
						:obj:{SrcName}.PPC.{Lang}.o 
			

OBJECTS = :obj:AECdev.c.o :obj:AECDEV.PPC.c.o



AECDEV  AECDEV.make {OBJECTS}
	Link -t cdev -c hacu -rt cdev=-4064 -m AECDEV -sg AECDEV 
		{OBJECTS} 
		"{Libraries}"interface.o 
		-o AECDEV
:obj:AECdev.c.o  AECDEV.make AECdev.c
	 C {COptions} AECdev.c -o :obj:AECDEV.c.o
:obj:AECDEV.PPC.c.o  AECDEV.make AECDEV.PPC.c
	 C {COptions}  AECDEV.PPC.c -o :obj:AECDEV.PPC.c.o


